Bug 250248 - Regenerating all thumbnails crashes digikam
Summary: Regenerating all thumbnails crashes digikam
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Thumbs-Engine (show other bugs)
Version: 1.2.0
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-05 10:27 UTC by Mark Szentes-Wanner
Modified: 2017-07-28 15:03 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Szentes-Wanner 2010-09-05 10:27:08 UTC
Application: digikam (1.2.0)
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-24-generic i686
Distribution: Ubuntu 10.04.1 LTS

-- Information about the crash:
Error: Directory NikonPreview with 8224 entries considered invalid; not read.
Error: Directory NikonPreview with 8224 entries considered invalid; not read.
Error: Directory NikonPreview with 8224 entries considered invalid; not read.
Error: Directory NikonPreview with 8224 entries considered invalid; not read.
Error: Directory NikonPreview with 8224 entries considered invalid; not read.
Error: Directory NikonPreview with 8224 entries considered invalid; not read.
QSocketNotifier: Invalid socket 8 and type 'Read', disabling...
QSocketNotifier: Invalid socket 12 and type 'Read', disabling...
QSocketNotifier: Invalid socket 42 and type 'Read', disabling...
KCrash: Application 'digikam' crashing...
digikam: Fatal IO error: client killed
sock_file=/home/m/.kde/socket-wildrose/kdeinit4__0


The crash can be reproduced every time.

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb67f5760 (LWP 6875))]

Thread 16 (Thread 0xb50d7b70 (LWP 6876)):
#0  0x00858422 in __kernel_vsyscall ()
#1  0x006e2015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x059af287 in QWaitConditionPrivate::wait (this=0x8a32fe0, mutex=0x8a32fdc, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x8a32fe0, mutex=0x8a32fdc, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x08321fb4 in Digikam::ScanController::run (this=0x8a37668) at /build/buildd/digikam-1.2.0/digikam/scancontroller.cpp:516
#5  0x059ae32e in QThreadPrivate::start (arg=0x8a37668) at thread/qthread_unix.cpp:248
#6  0x006dd96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x015dca4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 15 (Thread 0xb483eb70 (LWP 6878)):
#0  0x019a4e16 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x05ad96fb in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0x05ade825 in QTimerInfoList::updateCurrentTime (this=0x8c07e34) at kernel/qeventdispatcher_unix.cpp:340
#3  0x05ade86a in QTimerInfoList::timerWait (this=0x8c07e34, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x05adc818 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb483e0bc) at kernel/qeventdispatcher_glib.cpp:136
#5  0x05adc8a5 in timerSourcePrepare (source=0x0, timeout=0x19a8ff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x0182daca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x0182dee9 in ?? () from /lib/libglib-2.0.so.0
#8  0x0182e4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x05adc60f in QEventDispatcherGlib::processEvents (this=0x8bb2780, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x05aaf059 in QEventLoop::processEvents (this=0xb483e280, flags=) at kernel/qeventloop.cpp:149
#11 0x05aaf4aa in QEventLoop::exec (this=0xb483e280, flags=...) at kernel/qeventloop.cpp:201
#12 0x059ab5a8 in QThread::exec (this=0x8bda698) at thread/qthread.cpp:487
#13 0x0307aced in Digikam::ImageFilterModelWorker::Thread::run (this=0x8bda698) at /build/buildd/digikam-1.2.0/obj-i486-linux-gnu/digikam/../../libs/models/imagefiltermodelthreads.h:66
#14 0x059ae32e in QThreadPrivate::start (arg=0x8bda698) at thread/qthread_unix.cpp:248
#15 0x006dd96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#16 0x015dca4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 14 (Thread 0xb3fb1b70 (LWP 6879)):
#0  0x006e1306 in __pthread_mutex_unlock_usercnt () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x0182e098 in ?? () from /lib/libglib-2.0.so.0
#2  0x0182e4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x05adc60f in QEventDispatcherGlib::processEvents (this=0x8bbc6a0, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#4  0x05aaf059 in QEventLoop::processEvents (this=0xb3fb1280, flags=) at kernel/qeventloop.cpp:149
#5  0x05aaf4aa in QEventLoop::exec (this=0xb3fb1280, flags=...) at kernel/qeventloop.cpp:201
#6  0x059ab5a8 in QThread::exec (this=0x8bff848) at thread/qthread.cpp:487
#7  0x0307aced in Digikam::ImageFilterModelWorker::Thread::run (this=0x8bff848) at /build/buildd/digikam-1.2.0/obj-i486-linux-gnu/digikam/../../libs/models/imagefiltermodelthreads.h:66
#8  0x059ae32e in QThreadPrivate::start (arg=0x8bff848) at thread/qthread_unix.cpp:248
#9  0x006dd96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#10 0x015dca4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 13 (Thread 0xb3730b70 (LWP 6880)):
#0  0x00858422 in __kernel_vsyscall ()
#1  0x006e2015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x059af287 in QWaitConditionPrivate::wait (this=0x8ebd170, mutex=0x8ebd16c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x8ebd170, mutex=0x8ebd16c, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0352810a in Digikam::LoadSaveThread::run (this=0x8ebd160) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x059ae32e in QThreadPrivate::start (arg=0x8ebd160) at thread/qthread_unix.cpp:248
#6  0x006dd96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x015dca4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 12 (Thread 0xb2f2fb70 (LWP 6881)):
#0  0x019a4e16 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x05ad96fb in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0x05ade825 in QTimerInfoList::updateCurrentTime (this=0x8ecf934) at kernel/qeventdispatcher_unix.cpp:340
#3  0x05ade86a in QTimerInfoList::timerWait (this=0x8ecf934, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x05adc818 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb2f2f0dc) at kernel/qeventdispatcher_glib.cpp:136
#5  0x05adc8a5 in timerSourcePrepare (source=0x0, timeout=0x19a8ff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x0182daca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x0182dee9 in ?? () from /lib/libglib-2.0.so.0
#8  0x0182e4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x05adc60f in QEventDispatcherGlib::processEvents (this=0x8eca710, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x05aaf059 in QEventLoop::processEvents (this=0xb2f2f2a0, flags=) at kernel/qeventloop.cpp:149
#11 0x05aaf4aa in QEventLoop::exec (this=0xb2f2f2a0, flags=...) at kernel/qeventloop.cpp:201
#12 0x059ab5a8 in QThread::exec (this=0x8e87190) at thread/qthread.cpp:487
#13 0x059ae32e in QThreadPrivate::start (arg=0x8e87190) at thread/qthread_unix.cpp:248
#14 0x006dd96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#15 0x015dca4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 11 (Thread 0xb272eb70 (LWP 6882)):
#0  0x01802dd7 in ?? () from /lib/libglib-2.0.so.0
#1  0x0182e0ac in ?? () from /lib/libglib-2.0.so.0
#2  0x0182e4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x05adc60f in QEventDispatcherGlib::processEvents (this=0x8ecbe50, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#4  0x05aaf059 in QEventLoop::processEvents (this=0xb272e2a0, flags=) at kernel/qeventloop.cpp:149
#5  0x05aaf4aa in QEventLoop::exec (this=0xb272e2a0, flags=...) at kernel/qeventloop.cpp:201
#6  0x059ab5a8 in QThread::exec (this=0x8ec9c58) at thread/qthread.cpp:487
#7  0x059ae32e in QThreadPrivate::start (arg=0x8ec9c58) at thread/qthread_unix.cpp:248
#8  0x006dd96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#9  0x015dca4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 10 (Thread 0xb011ab70 (LWP 6883)):
#0  0x00858422 in __kernel_vsyscall ()
#1  0x006e2342 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x088b4ce7 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 9 (Thread 0xaf50eb70 (LWP 6884)):
#0  0x00858422 in __kernel_vsyscall ()
#1  0x015d5971 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0x088de5cc in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x00000000 in ?? ()

Thread 8 (Thread 0xaed0db70 (LWP 6885)):
#0  0x019a4e16 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x05ad96fb in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0x05ade825 in QTimerInfoList::updateCurrentTime (this=0x9038d9c) at kernel/qeventdispatcher_unix.cpp:340
#3  0x05ade86a in QTimerInfoList::timerWait (this=0x9038d9c, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x05adc818 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xaed0d06c) at kernel/qeventdispatcher_glib.cpp:136
#5  0x0182daca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x0182dee9 in ?? () from /lib/libglib-2.0.so.0
#7  0x0182e4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x05adc60f in QEventDispatcherGlib::processEvents (this=0x9038468, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#9  0x05aaf059 in QEventLoop::processEvents (this=0xaed0d230, flags=) at kernel/qeventloop.cpp:149
#10 0x05aaf4aa in QEventLoop::exec (this=0xaed0d230, flags=...) at kernel/qeventloop.cpp:201
#11 0x059ab5a8 in QThread::exec (this=0x902d7d0) at thread/qthread.cpp:487
#12 0x02e6796a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#13 0x059ae32e in QThreadPrivate::start (arg=0x902d7d0) at thread/qthread_unix.cpp:248
#14 0x006dd96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#15 0x015dca4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 7 (Thread 0xae50cb70 (LWP 6888)):
#0  0x006e49ef in __pthread_disable_asynccancel () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x006e4f64 in read () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x02dbede2 in ?? () from /usr/lib/libasound.so.2
#3  0x02dbbb8d in snd_ctl_read () from /usr/lib/libasound.so.2
#4  0x02db7f4f in snd_hctl_handle_events () from /usr/lib/libasound.so.2
#5  0x02dc3dc1 in snd_mixer_handle_events () from /usr/lib/libasound.so.2
#6  0x06384ad8 in ?? () from /usr/lib/xine/plugins/1.27/xineplug_ao_out_alsa.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 6 (Thread 0xadd0bb70 (LWP 6889)):
#0  0x00858422 in __kernel_vsyscall ()
#1  0x006e2015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x088c59ee in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 5 (Thread 0xad50ab70 (LWP 6890)):
#0  0x00858422 in __kernel_vsyscall ()
#1  0x006e2015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x059af287 in QWaitConditionPrivate::wait (this=0x96d5c98, mutex=0x96d5c94, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x96d5c98, mutex=0x96d5c94, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0352810a in Digikam::LoadSaveThread::run (this=0x96d5c88) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x059ae32e in QThreadPrivate::start (arg=0x96d5c88) at thread/qthread_unix.cpp:248
#6  0x006dd96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x015dca4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xacd09b70 (LWP 6897)):
[KCrash Handler]
#6  Digikam::TIFFLoader::load (this=0xacd08af0, filePath=..., observer=0xe09ea68) at /build/buildd/digikam-1.2.0/libs/dimg/loaders/tiffloader.cpp:356
#7  0x033d3e59 in Digikam::DImg::load (this=0xacd08e3c, filePath=..., loadFlagsInt=13, observer=0xe09ea68, rawDecodingSettings=...) at /build/buildd/digikam-1.2.0/libs/dimg/dimg.cpp:394
#8  0x033d54ae in Digikam::DImg::load (this=0xacd08e3c, filePath=..., loadMetadata=false, loadICCData=true, loadUniqueHash=false, observer=0xe09ea68, rawDecodingSettings=...)
    at /build/buildd/digikam-1.2.0/libs/dimg/dimg.cpp:354
#9  0x03545786 in Digikam::ThumbnailCreator::loadWithDImg (this=0x9c8fad0, path=..., profile=0xacd08f80) at /build/buildd/digikam-1.2.0/libs/threadimageio/thumbnailcreator.cpp:381
#10 0x035475e1 in Digikam::ThumbnailCreator::createThumbnail (this=0x9c8fad0, info=...) at /build/buildd/digikam-1.2.0/libs/threadimageio/thumbnailcreator.cpp:301
#11 0x03547ce8 in Digikam::ThumbnailCreator::load (this=0x9c8fad0, path=...) at /build/buildd/digikam-1.2.0/libs/threadimageio/thumbnailcreator.cpp:195
#12 0x0354f8b0 in Digikam::ThumbnailLoadingTask::execute (this=0xe09ea60) at /build/buildd/digikam-1.2.0/libs/threadimageio/thumbnailtask.cpp:133
#13 0x035280da in Digikam::LoadSaveThread::run (this=0x9c8e928) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:134
#14 0x059ae32e in QThreadPrivate::start (arg=0x9c8e928) at thread/qthread_unix.cpp:248
#15 0x006dd96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#16 0x015dca4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0xaa504b70 (LWP 6898)):
#0  0x00858422 in __kernel_vsyscall ()
#1  0x006e2015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x059af287 in QWaitConditionPrivate::wait (this=0x9ce8d18, mutex=0x9ce8d14, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x9ce8d18, mutex=0x9ce8d14, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0352810a in Digikam::LoadSaveThread::run (this=0x9ce8d08) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#5  0x059ae32e in QThreadPrivate::start (arg=0x9ce8d08) at thread/qthread_unix.cpp:248
#6  0x006dd96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x015dca4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xac508b70 (LWP 6923)):
#0  0x019a4e16 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x05ad96fb in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0x05ade825 in QTimerInfoList::updateCurrentTime (this=0xb100b9c) at kernel/qeventdispatcher_unix.cpp:340
#3  0x05ade86a in QTimerInfoList::timerWait (this=0xb100b9c, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x05adc818 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xac50807c) at kernel/qeventdispatcher_glib.cpp:136
#5  0x05adc8a5 in timerSourcePrepare (source=0x0, timeout=0x19a8ff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x0182daca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x0182dee9 in ?? () from /lib/libglib-2.0.so.0
#8  0x0182e4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x05adc60f in QEventDispatcherGlib::processEvents (this=0xade24b0, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x05aaf059 in QEventLoop::processEvents (this=0xac508240, flags=) at kernel/qeventloop.cpp:149
#11 0x05aaf4aa in QEventLoop::exec (this=0xac508240, flags=...) at kernel/qeventloop.cpp:201
#12 0x059ab5a8 in QThread::exec (this=0xa914b00) at thread/qthread.cpp:487
#13 0x05a8ec1b in QInotifyFileSystemWatcherEngine::run (this=0xa914b00) at io/qfilesystemwatcher_inotify.cpp:248
#14 0x059ae32e in QThreadPrivate::start (arg=0xa914b00) at thread/qthread_unix.cpp:248
#15 0x006dd96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#16 0x015dca4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb67f5760 (LWP 6875)):
#0  0x00858422 in __kernel_vsyscall ()
#1  0x006e2015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x059af287 in QWaitConditionPrivate::wait (this=0x9c8fd7c, mutex=0x9c8fd68, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x9c8fd7c, mutex=0x9c8fd68, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x059ae3c9 in QThread::wait (this=0x9c8e928, time=4294967295) at thread/qthread_unix.cpp:619
#5  0x035286d6 in Digikam::LoadSaveThread::shutdownThread (this=0x9c8e928) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:86
#6  0x03549d10 in ~ThumbnailLoadThread (this=0x9c8e928, __in_chrg=<value optimized out>) at /build/buildd/digikam-1.2.0/libs/threadimageio/thumbnailloadthread.cpp:150
#7  0x03548935 in destroy () at /build/buildd/digikam-1.2.0/libs/threadimageio/thumbnailloadthread.cpp:133
#8  0x03453bcb in ~KCleanUpGlobalStatic (this=0x3766428, __in_chrg=<value optimized out>) at /usr/include/kglobal.h:62
#9  0x0153e1bf in ?? () from /lib/tls/i686/cmov/libc.so.6
#10 0x0153e22f in exit () from /lib/tls/i686/cmov/libc.so.6
#11 0x01f1a5fb in qt_xio_errhandler () at kernel/qapplication_x11.cpp:734
#12 0x04d4bbfa in KApplication::xioErrhandler (this=0xbfea5168, dpy=0x8990b50) at ../../kdeui/kernel/kapplication.cpp:408
#13 0x04d4bc36 in kde_xio_errhandler (dpy=0x8990b50) at ../../kdeui/kernel/kapplication.cpp:125
#14 0x072c8c16 in _XIOError () from /usr/lib/libX11.so.6
#15 0x072d0a1a in ?? () from /usr/lib/libX11.so.6
#16 0x072d1356 in _XEventsQueued () from /usr/lib/libX11.so.6
#17 0x072b9adf in XEventsQueued () from /usr/lib/libX11.so.6
#18 0x01f59305 in x11EventSourceCheck (s=0x8977f40) at kernel/qguieventdispatcher_glib.cpp:87
#19 0x0182d799 in g_main_context_check () from /lib/libglib-2.0.so.0
#20 0x0182e0ce in ?? () from /lib/libglib-2.0.so.0
#21 0x0182e4b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#22 0x05adc60f in QEventDispatcherGlib::processEvents (this=0x894a6e8, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#23 0x01f59135 in QGuiEventDispatcherGlib::processEvents (this=0x894a6e8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#24 0x05aaf059 in QEventLoop::processEvents (this=0xbfea50b4, flags=) at kernel/qeventloop.cpp:149
#25 0x05aaf4aa in QEventLoop::exec (this=0xbfea50b4, flags=...) at kernel/qeventloop.cpp:201
#26 0x05ab369f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#27 0x01e99577 in QApplication::exec () at kernel/qapplication.cpp:3579
#28 0x083c2c35 in main (argc=1, argv=0xbfea55b4) at /build/buildd/digikam-1.2.0/digikam/main.cpp:193

Possible duplicates by query: bug 244529, bug 232852.

Reported using DrKonqi
Comment 1 caulier.gilles 2010-09-05 11:45:24 UTC
Crash appears in TIFF loader. I recommend to update digiKam to 1.4.0. I remember some fix in this area...

Gilles Caulier
Comment 2 caulier.gilles 2010-10-06 09:43:05 UTC
What's new there ?

Please try using digiKam 1.4.0...

Gilles Caulier
Comment 3 caulier.gilles 2010-11-24 09:12:28 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 4 Marcel Wiesweg 2011-01-18 14:09:47 UTC
Please give us a fresh backtrace with a recent version (1.7). Code has changed, line numbers are off.

It would be also most interesting to find out which image file causes the crash.
Enable debug message (run kdebugdialog, enable 50003) and watch the last line printed on the console before the crash occurs. The filename should be printed out.

Thanks
Comment 5 caulier.gilles 2015-07-03 05:59:09 UTC
New digiKam 4.11.0 is available.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?

Gilles Caulier
Comment 6 caulier.gilles 2016-07-03 07:02:57 UTC
With digiKam 5.0.0, this problem is not reproducible.

I close this file now. Re-open it if necessary.

Gilles Caulier